﻿using System;

using Xamarin.Forms;

namespace ScheduleSample_Appointments
{
	public class ButtonSamplePage : ContentPage
	{
		public ButtonSamplePage()
		{
			// UI View 
			StackLayout stack = new StackLayout();
			stack.Orientation = StackOrientation.Vertical;

			Button button = new Button();
			button.Text = "GoTo Schedule";
			button.Clicked += Button_Clicked;

            Button buttonNormal = new Button();
            buttonNormal.Text = "GoTo Normal List";
            buttonNormal.Clicked += ButtonList_Clicked;

            stack.Children.Add(button);
            stack.Children.Add(buttonNormal);
            this.Content = stack;

		}

		void Button_Clicked(object sender, EventArgs e)
		{
			this.Navigation.PushAsync(new CustomAppointmentSchedulePage());
		}

        void ButtonList_Clicked(object sender, EventArgs e)
        {
            this.Navigation.PushAsync(new NormalPage());
        }
    }
}

